Skip to main content
GET
Calculate reconstruction cost

Overview

Calculates the as-new reconstruction cost of a property based on its postal-code prefix, property type, and build area. When a construction year is supplied, the response also includes the as-is (depreciated) value. Only the first two digits of the postal code are used for the cost lookup. Requires a valid Bearer token in the Authorization header. See Authentication to get one.

Query parameters


Response fields


Error responses


Example request

Example response

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

postal_code
string
required

Full postal code. Only the first two digits are used for the cost lookup. Numeric, at least two digits.

property_type
enum<string>
required

Property type.

Available options:
apartment,
house,
maisonette
build_area
number
required

Build area in m². Must be greater than 0.

construction_year
integer

Construction year. When provided, the response also includes the as-is (depreciated) value. Cannot be in the future.

Response

Reconstruction cost result.

reconstruction_cost
object